package com.huatek.busi.service;

import com.huatek.busi.dto.BusiSemiAutomaticEvaluateDataDto;
import com.huatek.busi.vo.BusiSemiAutomaticEvaluateDataVo;

import java.util.List;

public interface BusiSemiAutomaticEvaluateDataService {
    boolean add(String token,BusiSemiAutomaticEvaluateDataDto dto);

    BusiSemiAutomaticEvaluateDataVo getLatest(String equipmentType,String mainEquipmentId,String siteId);

    List<BusiSemiAutomaticEvaluateDataVo> getAll(String equipmentType, String mainEquipmentId, String siteId);
}
